## simple-revision-control 1.20

=== debian/changelog ===
simple-revision-control (1.20-1) unstable; urgency=medium

  * Initial release (Closes: #881896)

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 13 Nov 2018 07:19:59 +0000
