=== debian/control ===
Source: simple-revision-control
Section: vcs
Priority: optional
Maintainer: Dmitry Bogatov <KAction@debian.org>
Build-Depends: debhelper-compat (= 11),
 asciidoc,
 xsltproc,
 docbook-xml
Standards-Version: 4.2.1
Homepage: https://gitlab.com/esr/src
Vcs-Browser: https://salsa.debian.org/debian/src
Vcs-Git: https://salsa.debian.org/debian/src.git

Package: simple-revision-control
Architecture: any
Depends: python3, rcs, ${misc:Depends}
Suggests: sccs
Description: single-file and single-user revision control system
 This package provides a powerful modern user interface for an RCS
 (and to some extend, SCCS) backend. It will be familiar to users
 with modern Subversion, Git, Hg experience, as well as a
 reasonable introduction to this toolset to novices.
 .
 SRC is designed to provide its strength for single-file, single-user
 version tracking. When it is overkill to make a whole directory and
 multi-file repository store (under, for example, Git or Hg), src can
 provide tracking for individual files instead.  Examples of such might
 be your ~/bin scripts, /etc files, personal notes, résumés, and any such
 file that would be awkward to contain in a wholly separate directory
 just for version control.
