## simple-revision-control 1.21

=== debian/changelog ===
simple-revision-control (1.21-3) unstable; urgency=medium

  * Set architecture to "all". (Closes: #915976)

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 10 Dec 2018 23:31:51 +0000

simple-revision-control (1.21-2) unstable; urgency=medium

  * Add missing build-dependency (Thanks: Jeremy Bicha)
  * wrap-and-sort -sta

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 02 Dec 2018 22:57:08 +0000

simple-revision-control (1.21-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-* fields in `debian/control' due source package renaming
    (see #881896)

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 01 Dec 2018 21:27:42 +0000
