=== debian/control ===
--- 
+++ 
@@ -2,19 +2,25 @@
 Section: vcs
 Priority: optional
 Maintainer: Dmitry Bogatov <KAction@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends:
  asciidoc,
+ debhelper-compat (= 11),
+ docbook-xml,
+ docbook-xsl,
  xsltproc,
- docbook-xml
 Standards-Version: 4.2.1
 Homepage: https://gitlab.com/esr/src
-Vcs-Browser: https://salsa.debian.org/debian/src
-Vcs-Git: https://salsa.debian.org/debian/src.git
+Vcs-Browser: https://salsa.debian.org/debian/simple-revision-control
+Vcs-Git: https://salsa.debian.org/debian/simple-revision-control.git
 
 Package: simple-revision-control
-Architecture: any
-Depends: python3, rcs, ${misc:Depends}
-Suggests: sccs
+Architecture: all
+Depends:
+ python3,
+ rcs,
+ ${misc:Depends},
+Suggests:
+ sccs,
 Description: single-file and single-user revision control system
  This package provides a powerful modern user interface for an RCS
  (and to some extend, SCCS) backend. It will be familiar to users
