## simple-revision-control 1.23

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 VERS=$(shell ./src version | sed -n -e "/src: /s///p")
 
-SOURCES = README INSTALL COPYING NEWS TODO src srctest src.asc FAQ.asc Makefile control
+SOURCES = README INSTALL COPYING NEWS TODO src srctest src.adoc FAQ.adoc Makefile control
 
 all: src.1
 
@@ -19,17 +19,17 @@
 	./srctest -b rcs -p python3
 	./srctest -b sccs -p python3
 
-.SUFFIXES: .html .asc .txt .1
+.SUFFIXES: .html .adoc .txt .1
 
 # Requires asciidoc and xsltproc/docbook stylesheets.
-.asc.1:
+.adoc.1:
 	a2x --doctype manpage --format manpage $<
-.asc.html:
+.adoc.html:
 	a2x --doctype manpage --format xhtml -D . $<
 	rm -f docbook-xsl.css
 
-FAQ.html: FAQ.asc
-	asciidoc -a toc FAQ.asc
+FAQ.html: FAQ.adoc
+	asciidoc -a toc FAQ.adoc
 
 clean:
 	rm -f  *~ *.1 *.html *.tar.gz MANIFEST
