=== debian/changelog ===
simple-revision-control (1.23-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version, no changes required.

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 08 Feb 2019 02:45:37 +0000
