## simple-revision-control 1.24

=== debian/changelog ===
simple-revision-control (1.24-1) unstable; urgency=medium

  * New upstream release

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 13 Feb 2019 17:39:23 +0000
