## simple-revision-control 1.26

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	./srctest -b rcs -p python3
 	./srctest -b sccs -p python3
 
-.SUFFIXES: .html .adoc .txt .1
+.SUFFIXES: .html .adoc .1
 
 # Requires asciidoc and xsltproc/docbook stylesheets.
 .adoc.1:
