=== debian/changelog ===
simple-revision-control (1.26-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 16 Aug 2019 07:40:43 +0000

simple-revision-control (1.26-1) experimental; urgency=medium

  * New upstream release

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 02 Jun 2019 06:20:32 +0000
