=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  docbook-xml,
  docbook-xsl,
  xsltproc,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://gitlab.com/esr/src
 Vcs-Browser: https://salsa.debian.org/debian/simple-revision-control
 Vcs-Git: https://salsa.debian.org/debian/simple-revision-control.git
