=== debian/rules ===
#!/usr/bin/make -f
export prefix=/usr
DESTDIR=debian/simple-revision-control

%:
	dh $@
override_dh_installchangelogs:
	dh_installchangelogs NEWS
override_dh_auto_install:
	dh_auto_install
	sed -i '1s:.*:#!/usr/bin/python3:' $(DESTDIR)/usr/bin/src
	# I have rather vague understanding, what `master_encoding' is,
	# but using any encoding but "utf-8" looks suspicios. Actually,
	# with master_encoding, provided by upstream, I get garbled
	# output when trying to write commit message in non-english
	# language. Hope it will not break anything else.
	sed -i '/^master_encoding/s:.*:master_encoding = "utf-8":' \
	  $(DESTDIR)/usr/bin/src

# Test suite requires working git installation, with user.email and
# user.name set. It is quite complicated to set up on buildd.
override_dh_auto_test:
