=== debian/watch ===
version=4
http://catb.org/esr/src/ \
  .*/src-([.0-9]+).tar.gz
