## simple-revision-control 1.29

=== Makefile ===
--- 
+++ 
@@ -8,16 +8,16 @@
 
 VERS=$(shell ./src version | sed -n -e "/src: /s///p")
 
-SOURCES = README INSTALL COPYING NEWS TODO src srctest src.adoc FAQ.adoc Makefile control
+SOURCES = README INSTALL COPYING NEWS TODO src srctest tapview src.adoc FAQ.adoc Makefile control
+
+TAPCONSUMER=./tapview
 
 all: src.1
 
+# To see the raw TAP output, run "make TAPCONSUMER=cat check"
 check: pylint
 	make pylint
-	./srctest -b rcs -p python2
-	./srctest -b sccs -p python2
-	./srctest -b rcs -p python3
-	./srctest -b sccs -p python3
+	./srctest | $(TAPCONSUMER)
 
 .SUFFIXES: .html .adoc .1
 
@@ -44,9 +44,8 @@
 COMMON_PYLINT = --rcfile=/dev/null --reports=n \
 	--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
 	--dummy-variables-rgx='^_'
-PYLINTOPTS = "C0103,C0123,C0301,C0302,C0325,C0326,C0330,C0410,C1001,C0111,R0101,R0902,R0903,R0904,R0201,R0912,R0913,R0914,R0915,R1705,W0110,W0141,W0142,W0232,W0311,W0312,W0603,W0511,W0613,E1101,E1103"
 pylint:
-	@pylint $(COMMON_PYLINT) --disable=$(PYLINTOPTS) src
+	@pylint $(COMMON_PYLINT) src
 
 version:
 	@echo $(VERS)
