=== debian/changelog ===
simple-revision-control (1.29-1) unstable; urgency=medium

  * New maintainer (Closes: #983803)
  * New upstream release

 -- Fukui Daichi <a.dog.will.talk@akane.waseda.jp>  Mon, 21 Mar 2022 13:15:22 +0000
