=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: simple-revision-control
 Section: vcs
 Priority: optional
-Maintainer: Dmitry Bogatov <KAction@debian.org>
+Maintainer: Fukui Daichi <a.dog.will.talk@akane.waseda.jp>
 Build-Depends:
  asciidoc,
  debhelper-compat (= 11),
