=== debian/changelog ===
simple-revision-control (1.33-1) unstable; urgency=medium

  * New upstream version 1.33 (Closes: #1053587)
  * d/control: Set new maintainer
  * d/control: Update dh compat version
  * d/control: Add Rules-Requires-Root field no
  * d/copyright: Add more authors
  * d/rules: Adapt to file name change
  * d/watch: Update url to source
  * d/control: Update standards version

 -- Fukui Daichi <a.dog.will.talk@akane.waseda.jp>  Sun, 18 Feb 2024 04:26:30 +0000
