=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Fukui Daichi <a.dog.will.talk@akane.waseda.jp>
 Build-Depends:
  asciidoc,
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  docbook-xml,
  docbook-xsl,
  xsltproc,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Homepage: https://gitlab.com/esr/src
 Vcs-Browser: https://salsa.debian.org/debian/simple-revision-control
 Vcs-Git: https://salsa.debian.org/debian/simple-revision-control.git
+Rules-Requires-Root: no
 
 Package: simple-revision-control
 Architecture: all
