=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 %:
 	dh $@
 override_dh_installchangelogs:
-	dh_installchangelogs NEWS
+	dh_installchangelogs NEWS.adoc
 override_dh_auto_install:
 	dh_auto_install
 	sed -i '1s:.*:#!/usr/bin/python3:' $(DESTDIR)/usr/bin/src
