=== debian/watch ===
version=4
opts=filenamemangle=s/.*?\/(\d\S+)\/archive\.tar\.gz/src-$1\.tar\.gz/ \
 https://gitlab.com/esr/src/-/tags .*(\d\S+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
