## simple-revision-control 1.41

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,8 @@
 
 VERS=$(shell ./src version | sed -n -e "/src: /s///p")
 
-SOURCES = README.adoc INSTALL.adoc COPYING NEWS.adoc TODO.adoc src srctest tapview src.adoc FAQ.adoc Makefile control
+SOURCES = src srctest tapview Makefile control
+DOCS = README.adoc INSTALL.adoc COPYING NEWS.adoc TODO.adoc src.adoc FAQ.adoc local.dic
 
 all: src.1
 
@@ -21,24 +22,29 @@
 	@coverage report --data-file=coverage-data | grep src
 	@coverage html --data-file=coverage-data
 
+# Note: to suppress the footers with timestamps being generated in HTML,
+# we use "-a nofooter".
+# To debug asciidoc problems, you may need to run "xmllint --nonet --noout --valid"
+# on the intermediate XML that throws an error.
 .SUFFIXES: .html .adoc .1
 
-# Requires asciidoc and xsltproc/docbook stylesheets.
 .adoc.1:
-	a2x --doctype manpage --format manpage $<
+	asciidoctor -D. -a nofooter -b manpage $<
 .adoc.html:
-	a2x --doctype manpage --format xhtml -D . $<
-	rm -f docbook-xsl.css
+	asciidoctor -D. -a nofooter -a webfonts! $<
 
 FAQ.html: FAQ.adoc
-	asciidoc -a toc FAQ.adoc
+	asciidoctor -a toc FAQ.adoc
+
+spellcheck: *.adoc
+	batchspell local.dic *.adoc
 
 clean:
 	rm -f  *~ *.1 *.html *.tar.gz MANIFEST coverage-data
 	rm -fr .rs* typescript test/typescript htmlconv
 
-src-$(VERS).tar.gz: $(SOURCES) src.1
-	@ls $(SOURCES) src.1 | sed s:^:src-$(VERS)/: >MANIFEST
+src-$(VERS).tar.gz: $(SOURCES) $(DOCS) src.1
+	@ls $(SOURCES) $(DOCS) src.1 | sed s:^:src-$(VERS)/: >MANIFEST
 	@(cd ..; ln -s src src-$(VERS))
 	(cd ..; tar -czf src/src-$(VERS).tar.gz `cat src/MANIFEST`)
 	@(cd ..; rm src-$(VERS))
@@ -49,9 +55,6 @@
 shellcheck:
 	@-shellcheck -s sh -f gcc srctest
 
-version:
-	@echo $(VERS)
-
 fixme:
 	@if command -v rg >/dev/null; then \
 		rg --no-heading FIX''ME; \
@@ -61,10 +64,17 @@
 
 dist: src-$(VERS).tar.gz
 
+NEWSVERSION=$(shell sed -n <NEWS.adoc '/^[0-9]/s/:.*//p' | head -1)
+
+version:
+	@echo "Internal version:" $(VERS) "NEWS file version:" $(NEWSVERSION)
+
 release: src-$(VERS).tar.gz src.html FAQ.html
+	@[ $(VERS) = $(NEWSVERSION) ] || { echo "Version mismatch!"; exit 1; }
 	shipper version=$(VERS) | sh -e -x
 
 refresh: src.html FAQ.html
+	@[ $(VERS) = $(NEWSVERSION) ] || { echo "Version mismatch!"; exit 1; }
 	shipper -N -w version=$(VERS) | sh -e -x
 
 install: all
