=== debian/changelog ===
simple-revision-control (1.41-1) unstable; urgency=medium

  * d/watch: Adapt to changed tag order
  * New upstream version 1.41
  * d/control: Build-Depend on asciidoctor
  * d/copyright: Update copyright year for debian
  * Bump standards version to 4.7.2, no changes required.

 -- Fukui Daichi <a.dog.will.talk@akane.waseda.jp>  Fri, 02 May 2025 16:42:10 +0000
