=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  docbook-xml,
  docbook-xsl,
  xsltproc,
-Standards-Version: 4.6.2
+ asciidoctor,
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/esr/src
 Vcs-Browser: https://salsa.debian.org/debian/simple-revision-control
 Vcs-Git: https://salsa.debian.org/debian/simple-revision-control.git
