=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/esr/src/tags?sort=updated_desc -/archive/v?\d[\d.]+/src-@ANY_VERSION@@ARCHIVE_EXT@
